Bug 585073 - (perl-Dist-Zilla) Review Request: perl-Dist-Zilla - Distribution builder; installer not included!
Review Request: perl-Dist-Zilla - Distribution builder; installer not included!
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Dist-Zilla/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 00:41 EDT by Iain Arnell
Modified: 2010-05-19 15:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Dist-Zilla-2.101040-1.fc13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 15:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-04-23 00:41:29 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Dist-Zilla.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Dist-Zilla-2.101040-1.fc14.src.rpm

Description:
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like ExtUtils::MakeMaker, Module::Build, or
Module::Install. Unlike those tools, however, it is not also a system for
installing code that has been downloaded from the CPAN. Since it's only run
by authors, and is meant to be run on a repository checkout rather than on
published, released code, it can do much more than those tools, and is free
to make much more ludicrous demands in terms of prerequisites.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2133267

*rt-0.10_01
Comment 1 Parag AN(पराग) 2010-04-26 01:48:53 EDT
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2133267
+ rpmlint output for SRPM and for RPM.
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ source files match upstream url (sha1sum)
37d24daed711994efc64676be01344208f8345a9  Dist-Zilla-2.101040.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=21, Tests=187, 15 wallclock secs ( 0.09 usr  0.04 sys + 13.99 cusr  1.33 csys = 15.45 CPU)

APPROVED.
Comment 2 Iain Arnell 2010-04-26 10:42:10 EDT
New Package CVS Request
=======================
Package Name: perl-Dist-Zilla
Short Description: Distribution builder; installer not included!
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2010-04-28 22:13:14 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-05-01 09:51:22 EDT
perl-Dist-Zilla-2.101040-1.fc13.1 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Dist-Zilla-2.101040-1.fc13.1
Comment 5 Fedora Update System 2010-05-04 02:25:05 EDT
perl-Dist-Zilla-2.101040-1.fc13.1 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Dist-Zilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Dist-Zilla-2.101040-1.fc13.1
Comment 6 Fedora Update System 2010-05-19 15:18:47 EDT
perl-Dist-Zilla-2.101040-1.fc13.1 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.